Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 30/03/2012, à 12:33

Talian

problème mise à jour du pilote catalyst

Bonjour à tous!

AUjourd'hui a eu lieu la mise à jour du pilote catalyst (12.2 > 12.3).

Après la mise à jour et après avoir redémarré mon pc, l'accélération graphique a été complètement désactivée et le pilote a totalement buggé.

J'ai donc décidé de le réinstaller manuellement, c'est là que ça se corse.
Il est téléchargé, prêt à être exécuté. Lorsque je le lance (sudo '/home/simon/amd-driver-installer-12-3-x86.x86_64.run'), ceci apparaît: "A previous install of fglrx driver has been detected, etc."
Pour désinstaller l'ancienne version, je lance et j'ai:

sudo sh ./fglrx-uninstall.sh
sh: Can't open ./fglrx-uninstall.sh

Impossible donc de le désinstaller.

En essayant autre chose:

simon@simon-VPCEA4S1E:~$ sudo apt-get remove fglrx*Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Note : sélection de fglrx pour l'expression rationnelle « fglrx* »
Note : sélection de fglrx-amdcccle pour l'expression rationnelle « fglrx* »
Note : sélection de fglrx-driver pour l'expression rationnelle « fglrx* »
Note : sélection de fglrx-kernel-source pour l'expression rationnelle « fglrx* »
Note : sélection de fglrx-modaliases pour l'expression rationnelle « fglrx* »
Note : sélection de xfree86-driver-fglrx pour l'expression rationnelle « fglrx* »
Note : sélection de xorg-driver-fglrx pour l'expression rationnelle « fglrx* »
Note : sélection de fglrx-updates pour l'expression rationnelle « fglrx* »
Note : sélection de fglrx-control pour l'expression rationnelle « fglrx* »
Note : sélection de fglrx-control-qt2 pour l'expression rationnelle « fglrx* »
Note : sélection de fglrx-amdcccle-updates pour l'expression rationnelle « fglrx* »
Note : sélection de fglrx-dev pour l'expression rationnelle « fglrx* »
Note : sélection de fglrx-driver-dev pour l'expression rationnelle « fglrx* »
Note : sélection de xfree86-driver-fglrx-dev pour l'expression rationnelle « fglrx* »
Note : sélection de fglrx-updates-dev pour l'expression rationnelle « fglrx* »
Note : sélection de xorg-driver-fglrx-dev pour l'expression rationnelle « fglrx* »
Note : sélection de fglrx-glx pour l'expression rationnelle « fglrx* »
Le paquet fglrx n'est pas installé, et ne peut donc être supprimé
Le paquet fglrx-amdcccle-updates n'est pas installé, et ne peut donc être supprimé
Le paquet fglrx-dev n'est pas installé, et ne peut donc être supprimé
Le paquet fglrx-updates n'est pas installé, et ne peut donc être supprimé
Le paquet fglrx-updates-dev n'est pas installé, et ne peut donc être supprimé
Les paquets suivants seront ENLEVÉS :
  fglrx-amdcccle
0 mis à jour, 0 nouvellement installés, 1 à enlever et 2 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 11,0 Mo d'espace disque seront libérés.
Souhaitez-vous continuer [O/n] ? O
(Lecture de la base de données... 358724 fichiers et répertoires déjà installés.)
Suppression de fglrx-amdcccle ...
dpkg : avertissement : lors de la suppression de fglrx-amdcccle, le répertoire « /usr/share/ati » n'était pas vide, donc il n'a pas été supprimé.

Même résultat.

Une idée? J'installerai bien en "force", mais je ne connais pas la ligne de commande.

Help, c'est assez urgent professionnellement (différents documents à terminer, impossible sans cette fichue accélération...)


Merci d'avance!

(edit modo : merci de relire les règles du forum, notamment la partie sur l'utilisation du tag "urgent")

Dernière modification par slasher-fun (Le 30/03/2012, à 12:49)

Hors ligne

#2 Le 30/03/2012, à 12:49

atichu

Re : problème mise à jour du pilote catalyst

La il dit que tu n'a pas le pilote propriétaire d'installer. Que dit le logiciel de pilote propriétaire?? la 12.3 c'est un version qui n'est pas dans les dépot non?

quel version de ubuntu?

Dernière modification par atichu (Le 30/03/2012, à 12:50)


Je ne suis pas un geek ni un informaticien mais j'aime linux/ubuntu.
acer aspire5741G (unity 12.04))+une vieillebousse(xfce 12.04)
+teste de la version instable

Hors ligne

#3 Le 30/03/2012, à 12:57

Talian

Re : problème mise à jour du pilote catalyst

Ubuntu 11.10

J'avoue ne pas savoir si elle est dans les dépôts ou non. J'ai simplement fait une mise à jour générale ce matin (sans vrailent regarder ce que le gestionnaire mettait à jour, j'avoue). Et depuis, plus rien...

Hors ligne

#4 Le 30/03/2012, à 13:00

atichu

Re : problème mise à jour du pilote catalyst

Que dit le logiciel de pilote propriétaire?? il est dans systeme en haut a droite. tu peux tenté de l'installer et voir ceux que sa dit?


Je ne suis pas un geek ni un informaticien mais j'aime linux/ubuntu.
acer aspire5741G (unity 12.04))+une vieillebousse(xfce 12.04)
+teste de la version instable

Hors ligne

#5 Le 30/03/2012, à 13:11

Talian

Re : problème mise à jour du pilote catalyst

J'ai essayé, impossible:

installArchives() failed: (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 358679 files and directories currently installed.)
Unpacking fglrx (from .../fglrx_2%3a8.881-0ubuntu4.1_amd64.deb) ...
One or more files have been altered since installation.
Uninstall will not be completed. See /etc/ati/fglrx-uninstall.log for details.
dpkg: error processing /var/cache/apt/archives/fglrx_2%3a8.881-0ubuntu4.1_amd64.deb (--unpack):
 subprocess new pre-installation script returned error exit status 1
Selecting previously deselected package fglrx-amdcccle.
Unpacking fglrx-amdcccle (from .../fglrx-amdcccle_2%3a8.881-0ubuntu4.1_amd64.deb) ...
Errors were encountered while processing:
 /var/cache/apt/archives/fglrx_2%3a8.881-0ubuntu4.1_amd64.deb
Error in function: 
SystemError: E:Sub-process /usr/bin/dpkg returned an error code (1)
dpkg: des problmes de dpendances empchent la configuration de fglrx-amdcccle:
 fglrx-amdcccle dpend de fglrx; cependant:
  Le paquet fglrx n'est pas install.
dpkg: erreur de traitement de fglrx-amdcccle (--configure):
 problmes de dpendances - laiss non configur

Hors ligne

#6 Le 30/03/2012, à 13:23

atichu

Re : problème mise à jour du pilote catalyst

j'ai trouvé sa http://forum.ubuntu-fr.org/viewtopic.ph … 6#p3438306 mais un expert pourrait plus t'aidé


Je ne suis pas un geek ni un informaticien mais j'aime linux/ubuntu.
acer aspire5741G (unity 12.04))+une vieillebousse(xfce 12.04)
+teste de la version instable

Hors ligne